%{!?luaver: %global luaver %(lua -e "print(string.sub(_VERSION, 5))")}
# for compiled modules
%global lualibdir %{_libdir}/lua/%{luaver}
# for arch-independent modules
%global luapkgdir %{_datadir}/lua/%{luaver}

%global commit 76d7c992a22d4481969a977ad36d6d35d3b2ca6f
%global shortcommit %(c=%{commit}; echo ${c:0:7})


Name:           lua-term
Version:        0.03
Release:        6%{?dist}
Summary:        Terminal functions for Lua

Group:          Development/Libraries
License:        MIT
URL:            https://github.com/hoelzro/%{name}
Source0:        https://github.com/hoelzro/%{name}/archive/%{commit}/%{name}-%{commit}.tar.gz

BuildRequires:  lua-devel >= %{luaver}
%if 0%{?rhel} == 6
Requires:       lua >= %{luaver}
Requires:       lua < 5.2
%else
Requires:       lua(abi) >= %{luaver}
%endif


%description
Lua module for manipulating a terminal.


%prep
%setup -q -n %{name}-%{commit}


%build
%{__cc} %{optflags} -fPIC -c core.c -o core.o
%{__cc} -shared -o core.so core.o
chmod 755 core.so


%install
mkdir -p %{buildroot}%{luapkgdir}
cp -rp term  %{buildroot}%{luapkgdir}/
mkdir -p %{buildroot}%{lualibdir}/term
cp -p core.so %{buildroot}%{lualibdir}/term/


%files
%doc COPYING CHANGES README.md
%{lualibdir}/term/
%{luapkgdir}/term/


%changelog
* Fri Jan 16 2015 Tom Callaway <spot@fedoraproject.org> - 0.03-6
- rebuild for lua 5.3

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 2 2014 Orion Poplawski <orion@cora.nwra.com> - 0.03-3
- Fix EL6 lua requires

* Fri May 2 2014 Orion Poplawski <orion@cora.nwra.com> - 0.03-2
- Use git hash for source
- Fix .so permissions

* Thu May 1 2014 Orion Poplawski <orion@cora.nwra.com> - 0.03-1
- Update to 0.03
- Cleanup spec
- Support EL6

* Wed Oct 09 2013 Jiri Machala <george.machala@gmail.com> - 0.02-1
- Initial version

